/*******************************************************************
 * Contains exception classes for Text (a collection of text utils).
 *
 * Publically imports mde.exception.
 ******************************************************************/
module mde.text.exception;

public import mde.exception;

/// Base Text exception class.
class textException : mdeException {
    const override symbol = super.symbol ~ ".text";
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

/** Thrown by the parse module on any error.
 */
class textParseException : textException {
    const override symbol = super.symbol ~ ".parse";
    this (char[] msg) {
        super(msg);
    }
    this () {}
}
/** Thrown by the format module on any error.
*/
class textFormatException : textException {
    const override symbol = super.symbol ~ ".format";
    this (char[] msg) {
        super(msg);
    }
    this () {}
}
